/*
 * Copyright 2015 Amy Siu (siu@mpi-inf.mpg.de)
 *
 * This file is part of the BEBE experimental software package.
 *
 * BEBE is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * BEBE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with BEBE.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package mpii.biotm.bebe.bean;

public class CharacterTrigram implements Comparable<CharacterTrigram>{

	private int count;
	private String chars;
	
	public CharacterTrigram(String inputChars, int inputCount){
		chars = inputChars.toLowerCase();
		count = inputCount;
	}
	
	/** Considers only the chars, not the count. */
	public int compareTo(CharacterTrigram anotherTrigram){
		String anotherLetters = anotherTrigram.getChars();
		
		return chars.compareToIgnoreCase(anotherLetters);
	}
	
	/** Considers only the chars, not the count. */
	public boolean equals(Object object){
		boolean returnBool = false;
		
		if (object instanceof CharacterTrigram){
			returnBool = chars.equalsIgnoreCase(((CharacterTrigram) object).getChars());
		}
		
		return returnBool;
	}
	
	public String getChars() {
		return chars;
	}
	
	public int getCount() {
		return count;
	}

	public void setChars(String inputChars) {
		chars = inputChars;
	}
	
	public void setCount(int inputCount) {
		count = inputCount;
	}

	public String toString(){
		String returnStr = "";
		
		returnStr += chars + " (count: " + count + ")\n";
		
		return returnStr;
	}
}