/*
 * Copyright 2015 Amy Siu (siu@mpi-inf.mpg.de)
 *
 * This file is part of the BEBE experimental software package.
 *
 * BEBE is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * BEBE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with BEBE.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package mpii.biotm.util;

import java.io.IOException;

public class EmptyStringUtf8{
	
	public static String getEmptyString(){
		//----------------------------------------
		// Normally I use the lazy way of throwing exception at method
		// signature. However, I have methods extending an interface that
		// does not tolerate those exceptions, and those methods eventually
		// end up calling this method. So let's do it the try-catch way.
		String s = "";
		try{
			byte[] empty = new byte[0];
			s = new String(empty, "UTF8");
		}
		catch (IOException e){
			System.err.println("Caught IOException: " +  e.getMessage());
		}
		return s;
	}
}
